Module __builtin__ :: Class type

[frames | no frames]

## Type type

    object --+
             |
            type

type(object) -> the object's type type(name, bases, dict) -> a new type

Method Summary
| `__call__(x, ...)` Return x(...)...
| `__cmp__(x, y)` Return cmp(x,y)...
| ``__delattr__`(...)` x.__delattr__('name') <==> del x.name
| ``__getattribute__`(...)` x.__getattribute__('name') <==> x.name
| `__hash__(x)` Return hash(x)...
| `__new__(T, S, ...)` Return a new object with type S, a subtype of T...
| `__repr__(x)` Return repr(x)...
| ``__setattr__`(...)` x.__setattr__('name', value) <==> x.name = value
list of immediate subclasses | `__subclasses__()`
list | ``mro`()` return a type's method resolution order

Class Variable Summary
`type` | `__base__` = `__builtin__.object`
`tuple` | `__bases__` = `(<type 'object'>,)`
`int` | `__basicsize__` = 420
`int` | `__dictoffset__` = 132
`int` | `__flags__` = 21995
`int` | `__itemsize__` = 20
`tuple` | `__mro__` = `(<type 'type'>, <type 'object'>)`
`str` | `__name__` = `'type'`
`int` | `__weakrefoffset__` = 184

Method Details

### __delattr__(...)

x.__delattr__('name') <==> del x.name

  Overrides:
    `__builtin__.object.__delattr__`

### __getattribute__(...)

x.__getattribute__('name') <==> x.name

  Overrides:
    `__builtin__.object.__getattribute__`

### __setattr__(...)

x.__setattr__('name', value) <==> x.name = value

  Overrides:
    `__builtin__.object.__setattr__`

### mro()

return a type's method resolution order

  Returns:
    list

Class Variable Details

### __bases__

  Type:
    `tuple`
  Value:

        (<type 'object'>,)

### __basicsize__

  Type:
    `int`
  Value:

        420

### __dictoffset__

  Type:
    `int`
  Value:

        132

### __flags__

  Type:
    `int`
  Value:

        21995

### __itemsize__

  Type:
    `int`
  Value:

        20

### __mro__

  Type:
    `tuple`
  Value:

        (<type 'type'>, <type 'object'>)

### __name__

  Type:
    `str`
  Value:

        'type'

### __weakrefoffset__

  Type:
    `int`
  Value:

        184

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:25 2007 | http://epydoc.sf.net